summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorNat Lasseter <user@4574.co.uk>2023-12-05 21:01:35 +0000
committerNat Lasseter <user@4574.co.uk>2023-12-05 21:01:35 +0000
commit056c290b1d0302d2396a99a80671932fb8368adc (patch)
treeafe52abfcc3990737883478edb1d0e7762838e16
parent5a3291883da4cac74a244bf482726433ec4b7016 (diff)
runtoday
-rwxr-xr-xruntoday11
1 files changed, 11 insertions, 0 deletions
diff --git a/runtoday b/runtoday
new file mode 100755
index 0000000..efb3ff8
--- /dev/null
+++ b/runtoday
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+day=$(date +%d)
+
+[ -d day${day} ] || {
+ echo "Today doesn't exist!"
+ exit 1
+}
+
+cd day${day}
+javac day${day}.java && java day${day}